Changeset 13990 in josm


Ignore:
Timestamp:
2018-06-30T19:35:21+02:00 (6 months ago)
Author:
Don-vip
Message:

see #16047 - don't ask Java 8 users to upgrade to Java 10

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/org/openstreetmap/josm/tools/Utils.java

    r13901 r13990  
    17431743    public static String getJavaLatestVersion() {
    17441744        try {
    1745             return HttpClient.create(
     1745            String[] versions = HttpClient.create(
    17461746                    new URL(Config.getPref().get(
    17471747                            "java.baseline.version.url",
    17481748                            "http://javadl-esd-secure.oracle.com/update/baseline.version")))
    1749                     .connect().fetchContent().split("\n")[0];
     1749                    .connect().fetchContent().split("\n");
     1750            if (getJavaVersion() <= 8) {
     1751                for (String version : versions) {
     1752                    if (version.startsWith("1.8")) {
     1753                        return version;
     1754                    }
     1755                }
     1756            }
     1757            return versions[0];
    17501758        } catch (IOException e) {
    17511759            Logging.error(e);
Note: See TracChangeset for help on using the changeset viewer.